package paystation.domain;

import org.junit.jupiter.api.*;
import static org.junit.jupiter.api.Assertions.assertThrows;

import static org.hamcrest.CoreMatchers.*;
import static org.hamcrest.MatcherAssert.assertThat;

import java.util.*;

/** Testcases for the Pay Station system. */
public class TestPayStation {
  private PayStation ps;

  @BeforeEach
  public void setUp() {
    ps = new PayStationImpl();
  }
  
  @Test
  public void shouldDisplay2MinFor5Cents()
      throws IllegalCoinException {
    ps.addPayment(5);
    assertThat(ps.readDisplay(), is(2));
  }

  @Test
  public void shouldDisplay10MinFor25Cents()
      throws IllegalCoinException {
    ps.addPayment(25);
    assertThat(ps.readDisplay(), is(10));
  }

  @Test
  public void shouldRejectIllegal17CentCoin() {
    IllegalCoinException theException = 
      assertThrows(IllegalCoinException.class,
                 () -> ps.addPayment(17));
      assertThat(theException.getMessage(),
                 containsString("Invalid coin: 17"));
  }
}
